#
# spec file for package fastjar
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fastjar
Version:        0.98
Release:        lp150.1.11
Summary:        Java package archiver
License:        GPL-2.0+
Group:          Development/Languages/Java
Url:            http://savannah.nongnu.org/projects/fastjar/
Source0:        http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz
# Current signing key has expired
#Source1:        http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz.sig
#Source2:        http://savannah.nongnu.org/project/memberlist-gpgkeys.php?group=%{name}&download=1#/%{name}.keyring
Patch2:         fix-update-mode.diff
Patch3:         jartool.diff
BuildRequires:  zlib-devel
Requires(post): %{install_info_prereq}
Requires(preun): %{install_info_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Fastjar is an implementation of Sun's jar utility that comes with the
JDK, written entirely in C, and runs in a fraction of the time while
being 100% feature compatible.

%prep
%setup -q
%autopatch -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info%{ext_info}

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info%{ext_info}

%files
%defattr(-,root,root)
%doc AUTHORS README NEWS ChangeLog
%{_mandir}/man1/fastjar.1%{ext_man}
%{_mandir}/man1/grepjar.1%{ext_man}
%{_infodir}/fastjar.info%{ext_info}
%{_bindir}/fastjar
%{_bindir}/grepjar

%changelog
* Fri May 19 2017 tchvatal@suse.com
- Apply patches from debian to be up-par:
  * fix-update-mode.diff
  * jartool.diff
- Remove patch fastjar-0.98-fix.patch
  * Merged in jartool.diff
- Remove patch fastjar-0.98-directory-traversal.patch
  * Merged in jartool.diff
* Sun Apr 12 2015 mpluskal@suse.com
- Cleanup spec file with spec-clenaner
- Correct info scriplet requirements
* Tue Mar 26 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Tue May 25 2010 mvyskocil@suse.cz
- fix bnc#607043 - fastjar directory traversal
* Mon Mar  1 2010 rguenther@novell.com
- Update to 0.98
  - added support for -J and @file options.
  - fixed file name extraction, so that it can now be used during OpenJDK build.
- Fix unterminated filenames on archive update.
* Wed Aug 13 2008 mvyskocil@suse.cz
- Update to 0.95
  - included an fix of a directory traversal to parents of the extraction root.
  - some fixes in build system - Makefile.{am,in}, configure.ac, ...
  - enable fastjar to update an existing .jar with an META-INF/INDEX.LIST aka
  - i support. Still, it doesn't process the MANIFEST.MF to index files
    coming from dependant archives.
  - use '\n' instead of '\0' before adding the index to the jar file to avoid
    having a zero byte at the end of the index file.
  - Fallback on the method used for non-seekable files when reading the
    central-header-end section does not work, i.e. in archives with a zipfile
    comment at the end.
  - Added support for native libraries for libfastjar.
  - jartool.c: Include regex.h, as recommended by  gnulib-tool for the gnulib
    getopt functionality
* Thu Mar 29 2007 rguenther@suse.de
- Add zlib-devel BuildRequires.
* Mon Aug  7 2006 rguenther@suse.de
- Update fix for 191845 to upstream version.
* Wed Jul 12 2006 rguenther@suse.de
- Fix 191845, directory traversal on unpacking.
* Mon May 29 2006 rguenther@suse.de
- New fastjar package from savannah sources.
